# Created by pyp2rpm-3.3.3
%global pypi_name aiohttp
%global commitId 6333c026422c6b0fe57ff63cde4104e2d00f47f4

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.9.1
Release:        1%{?dist}
Summary:        Async http client/server framework (asyncio)

License:        Apache-2.0
URL:            https://github.com/aio-libs/aiohttp
Source0:        python-aiohttp-6333c026422c6b0fe57ff63cde4104e2d00f47f4.tar.gz
Source1:        llhttp-9ab2afc85b2880d96a94d38afaee301c6a314049.tar.gz
Patch0:         0001-allow-larger-headers.patch

BuildRequires:  gcc
BuildRequires:  git-core
BuildRequires:  make
BuildRequires:  npm
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-multidict
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       python%{python3_pkgversion}-brotli
Requires:       python%{python3_pkgversion}-aiodns
Requires:       python%{python3_pkgversion}-aiosignal >= 1.1.2
Requires:       python%{python3_pkgversion}-async-timeout < 5.0
Requires:       python%{python3_pkgversion}-async-timeout >= 4.0
Requires:       python%{python3_pkgversion}-attrs >= 17.3.0
Requires:       python%{python3_pkgversion}-frozenlist >= 1.1.1
Requires:       python%{python3_pkgversion}-multidict < 7.0
Requires:       python%{python3_pkgversion}-multidict >= 4.5
Requires:       python%{python3_pkgversion}-yarl < 2.0
Requires:       python%{python3_pkgversion}-yarl >= 1.0

# aiohttp depends on stdlib's mimetypes which reads /etc/mime.types
Requires:       /etc/mime.types

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -N -n python-%{pypi_name}-%{commitId} -S git
%patch0 -p1
tar -C vendor/llhttp --strip-component=1 -xf %{SOURCE1}
sed -i -e 's|/usr/bin/env python$|/usr/bin/env python3|' tools/gen.py


%build
npm config set registry https://repository.engineering.redhat.com/nexus/repository/registry.npmjs.org/
npm config set strict-ssl false
make generate-llhttp
make aiohttp/_find_header.c
%{__python3} -m Cython.Build.Cythonize -3 aiohttp/*.pyx
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt vendor/llhttp/LICENSE-MIT
%doc README.rst vendor/llhttp/README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jan 24 2024 Satoe Imaishi <simaishi@redhat.com> - 3.9.1-1
- Update to 3.9.1
- Fix CVE-2023-49082 (CRLF injection if user controls the HTTP method using
  aiohttp client)
- Fix CVE-2023-49081 (request modification)
- Fix CVE-2023-47627 (numerous issues in HTTP parser with header parsing)

* Wed Nov 01 2023 Satoe Imaishi <simaishi@redhat.com> - 3.8.5-1
- Update to 3.8.5

* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.8.1-4
- Rebuild for multiarch

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.8.1-3
- Build against python 3.9

* Mon Feb 14 2022 Patrick Creech <pcreech@redhat.com> - 3.8.1-2
- Fixup runtime dependencies

* Tue Feb 08 2022 Odilon Sousa <osousa@redhat.com> - 3.8.1-1
- Release python-aiohttp 3.8.1

* Wed Sep 29 2021 Brian Bouterse <bmbouter@redhat.com> 3.7.4-4
- Adds patch to enable secure proxy support

* Mon Sep 27 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.7.4-3
- Depend on /etc/mime.types

* Mon Sep 06 2021 Evgeni Golov - 3.7.4-2
- Build against Python 3.8

* Fri Mar 19 2021 Evgeni Golov 3.7.4-1
- Update to 3.7.4

* Thu Oct 29 2020 Evgeni Golov 3.7.2-1
- Update to 3.7.2

* Tue Apr 14 2020 Justin Sherrill <jsherril@redhat.com> 3.6.2-4
- fixing patch application

* Mon Apr 13 2020 Brian Bouterse <bmbouter@redhat.com> - 3.6.2-3
- Raised incoming http header size limits that aiohttp Server accepts

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.6.2-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.6.2-1
- Initial package.
